curl --request POST \
--url https://api.whop.com/api/v1/ads/{id}/pause \
--header 'Authorization: Bearer <token>'{
"id": "ad_xxxxxxxxxxxxxxx",
"title": "<string>",
"status": "active",
"platform": "meta",
"created_at": "2023-12-01T05:00:00.401Z",
"updated_at": "2023-12-01T05:00:00.401Z",
"ad_group": {
"id": "adgrp_xxxxxxxxxxxx"
},
"ad_campaign": {
"id": "adcamp_xxxxxxxxxxx"
}
}Pauses an ad.
Required permissions:
ad_campaign:updatead_campaign:basic:readcurl --request POST \
--url https://api.whop.com/api/v1/ads/{id}/pause \
--header 'Authorization: Bearer <token>'{
"id": "ad_xxxxxxxxxxxxxxx",
"title": "<string>",
"status": "active",
"platform": "meta",
"created_at": "2023-12-01T05:00:00.401Z",
"updated_at": "2023-12-01T05:00:00.401Z",
"ad_group": {
"id": "adgrp_xxxxxxxxxxxx"
},
"ad_campaign": {
"id": "adcamp_xxxxxxxxxxx"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.whop.com/llms.txt
Use this file to discover all available pages before exploring further.
A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************
The unique identifier of the ad to pause.
"ad_xxxxxxxxxxxxxxx"
A successful response
An ad belonging to an ad group.
The unique identifier for this ad.
"ad_xxxxxxxxxxxxxxx"
The display title of the ad. Falls back to the creative set caption when unset.
Current delivery status of the ad.
active, paused, inactive, in_review, rejected, flagged The external ad platform this ad is running on (e.g., meta, tiktok).
meta, tiktok When the ad was created.
"2023-12-01T05:00:00.401Z"
When the ad was last updated.
"2023-12-01T05:00:00.401Z"
The parent ad group this ad belongs to.
Show child attributes
The ad campaign this ad belongs to.
Show child attributes
Was this page helpful?